<template>
            <v-card
              class=" w-100"
              outlined
            >
                <v-list-item>
      <v-list-item-avatar color="grey">
            <v-icon
    
        
      >
        mdi-file
      </v-icon>
      </v-list-item-avatar>
      <v-list-item-content>
        <v-list-item-title class="headline">{{ entity.file_number }} <span class="float-right">    <v-chip
      class=""
    >
      <span class="text-uppercase">{{ entity.status }}</span>
    </v-chip></span></v-list-item-title>
        <v-list-item-subtitle>Enregistré le : {{entity.created_at | toDateTime  }}</v-list-item-subtitle>
      </v-list-item-content>
    </v-list-item>

        <v-card-subtitle class="pb-0">Détails de la demande</v-card-subtitle>

    <v-card-text class="text--primary">
        <table class="w-100">
              <tr>
                <td>Prise en charge </td>
                <td><b class="text-uppercase">{{ entity.insured}}</b></td>
              </tr>
                <tr>
                <td>Coût total</td>
                <td>{{ entity.cost}} F cfa</td>
              </tr>
              <tr>
                <td>Enregistré par</td>
                <td><b>Ethan lois</b> </td>
              </tr>
        </table>
    </v-card-text>
        <v-divider class=""></v-divider>
          <v-card-actions>

      <v-btn :to="'/demandes/'+entity.id"
        raised small color="primary" dark
      >
      <v-icon left>mdi-eye</v-icon>
        voir le détails
      </v-btn>
      <v-spacer class="mb-0"></v-spacer>
      <v-btn icon>
        <v-icon>mdi-printer</v-icon>
      </v-btn>
              </v-card-actions>
            </v-card>
</template>
<script>
  import { mapGetters } from 'vuex'

  export default {
    props: {
      entity: Object,
    },
    computed:
    {
      ...mapGetters({insurances:'params/_insurances'}),
    },
    methods:{
          getInsurance(id)
          {
              var ins = this.insurances.find(insurance => 
              {
                  return  id == insurance.id
              })
              return ins.name
          }
    },
    data: () => ({
      dialog: false,
      drawer: null,
      items: [
        { icon: 'mdi-contacts', text: 'Contacts' },
        { icon: 'mdi-history', text: 'Frequently contacted' },
        { icon: 'mdi-content-copy', text: 'Duplicates' },
        {
          icon: 'mdi-chevron-up',
          'icon-alt': 'mdi-chevron-down',
          text: 'Labels',
          model: true,
          children: [
            { icon: 'mdi-plus', text: 'Create label' },
          ],
        },
        {
          icon: 'mdi-chevron-up',
          'icon-alt': 'mdi-chevron-down',
          text: 'More',
          model: false,
          children: [
            { text: 'Import' },
            { text: 'Export' },
            { text: 'Print' },
            { text: 'Undo changes' },
            { text: 'Other contacts' },
          ],
        },
        { icon: 'mdi-cog', text: 'Settings' },
        { icon: 'mdi-message', text: 'Send feedback' },
        { icon: 'mdi-help-circle', text: 'Help' },
        { icon: 'mdi-cellphone-link', text: 'App downloads' },
        { icon: 'mdi-keyboard', text: 'Go to the old version' },
      ],
    }),
  }
</script>